package com.iscs.bozzys

import android.app.Application
import com.alibaba.sdk.android.push.noonesdk.PushInitConfig
import com.alibaba.sdk.android.push.noonesdk.PushServiceFactory
import com.alibaba.sdk.android.push.register.MiPushRegister
import com.iscs.bozzys.utils.Storage

/**
 * App主入口
 */
class Entry : Application() {

    override fun onCreate() {
        super.onCreate()
        // 初始化轻量级存储相关
        Storage.init(this)
        // 初始化消息推送
        initPush()
    }

    private fun initPush() {
        val config = PushInitConfig.Builder()
            .application(this)
            .appKey("335635068")
            .appSecret("a641c237c69e4fcfbff6ca4d3638758d")
            .build()
        PushServiceFactory.init(config)
        // 小米通道注册
        MiPushRegister.register(this, "2882303761520479855", "5522047986855")
    }

}